# Uses of Interface
java.lang.classfile.Signature.TypeArg.Bounded

Packages that use Signature.TypeArg.Bounded
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.TypeArg.Bounded in java.lang.classfile

Methods in java.lang.classfile that return Signature.TypeArg.Bounded
Modifier and Type
Method
Description
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`bounded(Signature.TypeArg.Bounded.WildcardIndicator wildcard, Signature.RefTypeSig boundType)`
Returns a bounded type argument.
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`extendsOf(Signature.RefTypeSig boundType)`
Returns an upper-bounded wildcard type argument.
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`of(Signature.RefTypeSig boundType)`
Returns a type argument of a reference type.
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`superOf(Signature.RefTypeSig boundType)`
Returns a lower-bounded wildcard type argument.